Subject: Re: [RFC/PATCH 0/16] Ops based MSI Implementation

From: Greg KH <[email-masked]>
Date: Thu, 25 Jan 2007 13:53:07 -0800

On Thu, Jan 25, 2007 at 07:34:07PM +1100, Michael Ellerman wrote:
> OK, here's a first cut at moving ops based MSI into the generic code. I'm
> posting this now to make sure I'm not heading off into the weeds.
> 
> The fifth patch contain the guts of it, I've included the MPIC and
> RTAS backends as examples. In fact they actually work.
> 
> In order to smoothly merge this with the old MSI code, the two will need to
> coexist in the tree for at least a few commits, so I've added (invisible)
> Kconfig symbols to allow that.
> 
> I plan to merge the Intel code by:
>  * copying it into drivers/pci/msi/intel.c with zero changes.
>  * providing a minimal shim to connect the ops code to the intel code.
>  * at this point the code should be functional but ugly as hell.
>  * via a longish series of patches, adapt the intel code to better match
>    the new ops code.
>  * this should allow us to bisect through to find any mistakes.
> 
> If people think that's crazy and or stupid please let me know :)

At first glance, this looks sane.  I'll apply the first 4 patches to my
trees, and hold off on the rest until you have the intel patches
finished.

thanks,

greg k-h